Aggregation (JProfiler API)
Date: 2010-07-01

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.jprofiler.api.platform.parameters
Enum Aggregation

    java.lang.Object
      java.lang.Enum<Aggregation>
          com.jprofiler.api.platform.parameters.Aggregation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Aggregation>

    public enum Aggregation

extends java.lang.Enum<Aggregation>

Represents all available aggregation levels.

The aggregation level controls how fine-grained the call tree is calculated. See the "Aggregation level" selector in the CPU views and allocation tree views in the JProfiler GUI to get a feeling on how aggregation works.

Enum Constant Summary
`CLASS` Method calls within the same class are aggregated.
`J2EE_COMPONENTS` Method calls originating from a Java EE component are aggregated until a different Java EE component is entered.
`METHOD` No aggregation is performed, all methods are displayed.
`PACKAGE` Method calls within the same package are aggregated.

Method Summary
`java.lang.String` | `getName()` Get a verbose description of the aggregation level.
`java.lang.String` | `toString()`
`static Aggregation` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Aggregation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### METHOD

    public static final Aggregation METHOD

  No aggregation is performed, all methods are displayed. Resulting profiling values return a `MethodDescriptor` in their descriptor property.

### CLASS

    public static final Aggregation CLASS

  Method calls within the same class are aggregated. Resulting profiling values return a `ClassDescriptor` in their descriptor property.

### PACKAGE

    public static final Aggregation PACKAGE

  Method calls within the same package are aggregated. Resulting profiling values return a `PackageDescriptor` in their descriptor property.

### J2EE_COMPONENTS

    public static final Aggregation J2EE_COMPONENTS

  Method calls originating from a Java EE component are aggregated until a different Java EE component is entered. Resulting profiling values return a `ClassDescriptor` in their descriptor property and nodes with a `URLDescriptor` may appear in the call tree.

Method Detail

### values

    public static Aggregation[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Aggregation c : Aggregation.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Aggregation valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getName

    public java.lang.String getName()

  Get a verbose description of the aggregation level.

  Returns:
    the verbose description

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<Aggregation>`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JProfiler API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD